Clipform

List collections from connected Shopify store

Returns collections from the connected Shopify store via Admin API. Used by the dashboard collection picker.

GET
/integrations/shopify/collections

Authorization

Authorization
Required
Bearer <token>

Supabase JWT access token

In: header

Query Parameters

workspace_id
Required
string
Format: "uuid"
searchstring

Search query to filter collections by title

firstinteger

Number of collections to return (max 50)

Default: 20Maximum: 50
curl -X GET "https://api.clipform.io/v1/integrations/shopify/collections?workspace_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&search=string&first=20" \
  -H "Authorization: Bearer <token>"

Collection list

{
  "collections": [
    {
      "id": "string",
      "title": "string",
      "handle": "string",
      "image": {
        "url": "string",
        "altText": "string"
      },
      "products_count": 0
    }
  ]
}